VESPA-DESTROY(1)

NAME
vespa-destroy - Remove a deployed Vespa application and its data

SYNOPSIS
vespa destroy [flags]

DESCRIPTION
Remove a deployed Vespa application and its data.

This command removes the currently deployed application and permanently deletes its data.

When run interactively, the command will prompt for confirmation before removing the application. When run non-interactively, the command will refuse to remove the application unless the --force option is given.

This command can only be used to remove non-production deployments, in Vespa Cloud. See https://docs.vespa.ai/en/operations/deleting-applications.html for how to remove production deployments.

For other systems, destroy the application by removing the containers in use by the application. For example: https://github.com/vespa-engine/sample-apps/tree/master/examples/operations/multinode-HA#clean-up-after-testing

OPTIONS
--force[=false]
    Disable confirmation (default false)

-h, --help[=false]
    help for destroy

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa destroy
    $ vespa destroy -a mytenant.myapp.myinstance
    $ vespa destroy --force

SEE ALSO
vespa(1)